Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicBorders.RolloverButtonBorder

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder
            |
            +--javax.swing.plaf.basic.BasicBorders.ButtonBorder
                  |
                  +--javax.swing.plaf.basic.BasicBorders.RolloverButtonBorder

All Implemented Interfaces:
  Border, Serializable, UIResource

Enclosing class:
  BasicBorders

public static class BasicBorders.RolloverButtonBorder
extends BasicBorders.ButtonBorder

Special thin border for rollover toolbar buttons.

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicBorders.ButtonBorder
`darkShadow, highlight, lightHighlight, shadow`

Constructor Summary
`BasicBorders.RolloverButtonBorder(Color shadow, Color darkShadow, Color highlight, Color lightHighlight)`

Method Summary
`void` | `paintBorder(Component c, Graphics g, int x, int y, int w, int h)` This default implementation does no painting.

Methods inherited from class javax.swing.plaf.basic.BasicBorders.ButtonBorder
`getBorderInsets, getBorderInsets`

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicBorders.RolloverButtonBorder

    public BasicBorders.RolloverButtonBorder(Color shadow,
                                             Color darkShadow,
                                             Color highlight,
                                             Color lightHighlight)

Method Detail

### paintBorder

    public void paintBorder(Component c,
                            Graphics g,
                            int x,
                            int y,
                            int w,
                            int h)

  Description copied from class: `AbstractBorder`
  This default implementation does no painting.

  Specified by:
    `paintBorder` in interface `Border`
  Overrides:
    `paintBorder` in class `BasicBorders.ButtonBorder`
  Parameters:
    `c` - the component for which this border is being painted
    `g` - the paint graphics
    `x` - the x position of the painted border
    `y` - the y position of the painted border
    `w` - the width of the painted border
    `h` - the height of the painted border

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.